Bug 473876 - Binding K broken for manpage lookup
Binding K broken for manpage lookup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 03:41 EST by Emmanuel Thomé
Modified: 2008-12-21 03:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:18:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Thomé 2008-12-01 03:41:27 EST
With vim-7.2.025, the binding K (manpage lookup) uses the rest of the current line for the query string, while it should be concerned only with the keyword under the cursor.

Example: edit foo.c, type printf(x); in there, and place your cursor on ``printf''.  Hit K. The program complains that no manpage for printf(x) exists.

This happened after the stream of changes pertaining to the vulnerability incurred by those bindings.

Please rebase to upstream patchlevel 026 or later, since the missing patch is exactly 026.

Regards,

E.
Comment 1 Karsten Hopp 2008-12-01 12:10:02 EST
fixed in vim-7.2-060-1, currently  in fedora-testing
Comment 2 Fedora Update System 2008-12-02 20:18:59 EST
vim-7.2.060-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update vim'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10587
Comment 3 Fedora Update System 2008-12-02 20:25:19 EST
vim-7.2.060-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vim'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10644
Comment 4 Fedora Update System 2008-12-21 03:18:47 EST
vim-7.2.060-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-12-21 03:19:23 EST
vim-7.2.060-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.